/*
 * RTXservice.exe v01.02 - 09/02/2009 - written by mira308sw
 *
 * script to read/write Service.dat file with usb devide.
 */

#define RTX_DIR       "/I/USER_DATA/ACP"
#define USB_DIR       "/bd0"
#define DAT_FILE      "/Service.dat"
#define INF_FILE      DAT_FILE ".inf"
#define NO            0
#define YES           1
#define OK            0
#define ERROR        -1

int     GetFileSize (char* file, int* size);
int     ShowNavigationQuestionScreen (char* text, int* answer);
int     UPGCopy ( char *src,char *dst,int cut );
void    RebootSystem ( void );


int   main ( int argc,char* argv[] )
{
  int   size;
  int   answ=NO;

  if( GetFileSize( USB_DIR DAT_FILE,&size )==OK )
    ShowNavigationQuestionScreen( "WRITE Service.dat ?",&answ );

  if( answ==YES )
  {
    UPGCopy( USB_DIR DAT_FILE,RTX_DIR DAT_FILE,0 );
    UPGCopy( USB_DIR INF_FILE,RTX_DIR INF_FILE,0 );
    ShowNavigationQuestionScreen( "Files copied. Reboot ?",&answ );
    if( answ==YES )
      RebootSystem();
  }
  else
  {
    ShowNavigationQuestionScreen( "READ Service.dat ?",&answ );
    if( answ==YES )
    {
      UPGCopy( RTX_DIR DAT_FILE,USB_DIR DAT_FILE,0 );
      UPGCopy( RTX_DIR INF_FILE,USB_DIR INF_FILE,0 );
      ShowNavigationQuestionScreen( "Copy completed.",&answ );
    }
    else
      ShowNavigationQuestionScreen( "Finish.",&answ );
  }
  return OK;
}
